sunpy (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5
  * Rediff patches. Drop patches that were applied upstream.

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 14:12:15 +0100

sunpy (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4
  * Rediff patches
  * Explicitly specify empty warning for pytest
  * Fix GOES file loading with h5netcdf (Closes: #1006876)

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Mar 2022 17:54:57 +0100

sunpy (3.1.3-2) unstable; urgency=medium

  * Install test files unconditionally after build (Closes: #1005706)

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Feb 2022 08:06:25 +0100

sunpy (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jan 2022 09:57:20 +0100

sunpy (3.1.2-3) unstable; urgency=medium

  * Add python3-reproject to test dependencies

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Dec 2021 08:54:01 +0100

sunpy (3.1.2-2) unstable; urgency=medium

  * Ignore warnings that fail on MIPS or armel

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Dec 2021 08:12:44 +0100

sunpy (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Rediff patches
  * Update build dependencies
  * Remove unnecessary versionized build deps
  * Skip test that depends on unavailable cdflib

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Dec 2021 08:30:43 +0100

sunpy (3.0.1-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/rules:
    - Do not install /usr/lib/python3/dist-packages/benchmarks/
       (Closes: #991981)
    - Respect DEB_BUILD_OPTIONS=nocheck
    - Improved clean to allow repeated builds
  * d/u/metadata: Added ref to conda

  [ Nilesh Patra ]
  * d/rules: Copy relevant directories in the build
    directory to get build-time tests pass

  [ Ole Streicher ]
  * Remove additional line on top of d/u/metadata
  * Ignore warnings about outdated h5py

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Sep 2021 11:47:37 +0200

sunpy (3.0.1-2) unstable; urgency=medium

  * Ignore "RuntimeWarning: invalid value encountered in multiply" in tests

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 22:55:19 +0200

sunpy (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1. Closes: #982397
  * Rediff patches
  * Switch back to unstable
  * Push Standards-Version to 4.6.0. No changes needed
  * Skip tests that use unavailable data

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:07:05 +0200

sunpy (2.1.0~rc3-1) experimental; urgency=medium

  * Add bug-closes-# to 2.1.0~rc1-1 changelog entry
  * New upstream version 2.1.0~rc3
  * Rediff patches
  * Fix WCS 7.4 related errors. Closes: #982397

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Feb 2021 12:50:11 +0100

sunpy (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
  * Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed
  * Remove version.py: generated during build. Closes: #978280

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jan 2021 16:53:19 +0100

sunpy (2.1.0~rc1-2) experimental; urgency=medium

  * Add py3-h5netcdf to tests dependencies
  * Remove additional hypothesis check to fix failure on armel platform

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Dec 2020 13:21:13 +0100

sunpy (2.1.0~rc1-1) experimental; urgency=medium

  * New upstream RC version 2.1.0~rc1. Switch to experimental.
  * Rediff patches
  * Remove version.py: generated during build. Closes: #978280
  * Add py3-h5netcdf build dependency

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Dec 2020 11:24:56 +0100

sunpy (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Nov 2020 12:59:52 +0100

sunpy (2.0.4-2) unstable; urgency=medium

  * Remove deadlines and too_slow health check for hypothesis tests
    failing on mipsel once more

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2020 21:37:53 +0100

sunpy (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2020 11:45:38 +0100

sunpy (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3. Rediff patches
  * Update d/copyright

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Oct 2020 11:31:21 +0200

sunpy (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Sep 2020 13:26:10 +0200

sunpy (2.0.1-2) unstable; urgency=medium

  * Remove deadlines and too_slow health check for hypothesis tests
    failing on mips(64)el

 -- Ole Streicher <olebole@debian.org>  Sat, 27 Jun 2020 11:06:07 +0200

sunpy (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1. Rediff patches
  * Add new dependencies
  * Push dh-compat to 13
  * Add Rules-Requires-Root: no to d/control
  * Mark test that fails during build

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jun 2020 11:30:19 +0200

sunpy (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3. Rediff patches
  * Remove unneeded minversion from matplotlib build dep

 -- Ole Streicher <olebole@debian.org>  Sun, 03 May 2020 13:23:29 +0200

sunpy (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Apr 2020 15:44:21 +0200

sunpy (1.1.1-2) unstable; urgency=low

  * Helper function for testing closeness of longitudes to fix FTBFS

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Feb 2020 17:21:28 +0100

sunpy (1.1.1-1) unstable; urgency=low

  * New upstream version 1.1.1. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Feb 2020 10:56:18 +0100

sunpy (1.1.0-1) unstable; urgency=low

  * New upstream version 1.1.0. Closes: #947109
  * Rediff patches. Remove xfail mark for test fixed upstream
  * Push Standards-Version to 4.4.1. No changes needed
  * Call pytest in CI test
  * Fix Python version for requiring importlib_resources

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Jan 2020 13:18:02 +0100

sunpy (1.0.3-2) unstable; urgency=medium

  * Fix CI tests and test dependencies

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 16:37:18 +0200

sunpy (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3. Rediff patches. Closes: #934959
  * Update dependencies
  * Push Standards-Version to 4.4.0. No changes required
  * Push compat to 12. Remove d/compat
  * Remove unused paragraph from d/copyright

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Aug 2019 20:28:30 +0200

sunpy (0.9.6-2) unstable; urgency=medium

  * Add gitlab-ci.yml
  * Fix CI test command
  * Fix test failure of test_hcrs_hgs

 -- Ole Streicher <olebole@debian.org>  Fri, 08 Feb 2019 16:34:52 +0100

sunpy (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6. Rediff patches
  * Use doctestplus pytest plugin
  * Push Standards-Version to 4.3.0. Change remaining URLs to https
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Jan 2019 20:13:23 +0100

sunpy (0.9.5-1) unstable; urgency=low

  * New upstream version 0.9.5. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Dec 2018 13:14:57 +0100

sunpy (0.9.4-2) unstable; urgency=low

  * Remove Python 2 package

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Dec 2018 08:30:54 +0100

sunpy (0.9.4-1) unstable; urgency=low

  * New upstream version 0.9.4. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 14 Nov 2018 18:16:24 +0100

sunpy (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * Push Standards-Versionto 4.2.1. No changes required
  * Use PYBUILD_TEST_ARGS for tests
  * Remove obsolete $HOME
  * Don't use SunPyTest class: prevents from testing

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Sep 2018 15:08:37 +0200

sunpy (0.9.2-5) unstable; urgency=medium

  * Recommend python-drms, and depend the tests on it

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 20:49:12 +0200

sunpy (0.9.2-4) unstable; urgency=medium

  * Skip more tests that timeout on MIPS familily

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 14:34:54 +0200

sunpy (0.9.2-3) unstable; urgency=low

  * Disable another occasionally failing test on mipsel

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 12:44:57 +0200

sunpy (0.9.2-2) unstable; urgency=medium

  * Mark known test failures as xfail (being discussed with upstream)

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Aug 2018 09:25:53 +0200

sunpy (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2. Closes: #897467
  * Rediff patches
  * Push Standards-Version to 4.2.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Aug 2018 21:12:17 +0200

sunpy (0.9.0-1) unstable; urgency=low

  * Push Standards-Version to 4.1.4. No changes needed.
  * Push compat to 11
  * New upstream version 0.9.0
  * Add python(3)-drms to build requirements
  * Drop Mark-known-test-failures-as-xfail.patch: All failures fixed
  * SKIP xfailing doctests. Remove doctest_plus reference

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Apr 2018 11:00:24 +0200

sunpy (0.8.3-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * New upstream version 0.8.3. Rediff patches
  * Push Standards-Version to 4.1.3. No changes needed.
  * Remove outdated and unused --doctest-rst option from setup.cfg

 -- Ole Streicher <olebole@debian.org>  Mon, 29 Jan 2018 17:11:22 +0100

sunpy (0.8.2-1) unstable; urgency=low

  * Remove signing key
  * New upstream version 0.8.2
  * Push Standards-Version to 4.1.1. Change d/watch URL to https

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Oct 2017 14:02:47 -0300

sunpy (0.8.1-2) unstable; urgency=low

  * Update test dependencies to fix CI tests

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Aug 2017 20:47:34 +0200

sunpy (0.8.1-1) unstable; urgency=low

  * Replace signing key by Nabil Freij
  * Drop patch applied upstream
  * Switch to https in d/copyright format URL
  * Update build dependencies
  * Remove obsolete wcsaxes package Recommends
  * Make Python 3 package arch:any again
  * New upstream version 0.8.1
  * Push standards-version to 4.1.0. No changes needed.
  * Mark known test failures as xfail.
  * Remove outdated entries from d/copyright

 -- Ole Streicher <olebole@debian.org>  Wed, 23 Aug 2017 09:53:03 +0200

sunpy (0.7.9-1) unstable; urgency=medium

  * New upstream version 0.7.9. Closes: #868053
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 18 Jul 2017 13:38:04 +0200

sunpy (0.7.8-2) unstable; urgency=low

  * Make Python 3 package arch:all. Closes: #867605

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2017 15:41:40 +0200

sunpy (0.7.8-1) unstable; urgency=medium

  * New upstream version 0.7.8
  * Push Standards-Version to 4.0.0. No changes

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2017 20:49:56 +0200

sunpy (0.7.4-2) unstable; urgency=medium

  * Fix numpy 1.12 integer index problems appearing in tests

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Dec 2016 15:25:10 +0100

sunpy (0.7.4-1) unstable; urgency=medium

  * Propagate CI test exit code
  * New upstream version 0.7.4

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Nov 2016 13:03:53 +0100

sunpy (0.7.3-2) unstable; urgency=low

  * Use "python -m pytest" for tests. Closes: #835251

 -- Ole Streicher <olebole@debian.org>  Thu, 25 Aug 2016 14:01:52 +0200

sunpy (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2016 13:13:20 +0200

sunpy (0.7.2-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Tue, 21 Jun 2016 14:27:51 +0200

sunpy (0.7-2) unstable; urgency=low

  * Correct quotes for CI test commands

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Jun 2016 14:42:56 +0200

sunpy (0.7-1) unstable; urgency=low

  * New upstream version
  * Add Python 3 package

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jun 2016 22:22:23 +0200

sunpy (0.6.4-1) unstable; urgency=low

  * New upstream version
  * Update standard to 3.9.8; no changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 09 May 2016 20:46:08 -0300

sunpy (0.6.3-2) unstable; urgency=medium

  * Disable the wrong testing of an online test

 -- Ole Streicher <olebole@debian.org>  Sun, 10 Apr 2016 10:03:47 +0200

sunpy (0.6.3-1) unstable; urgency=low

  * New upstream version
  * Update standard to 3.9.7; no changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 09 Apr 2016 20:51:32 +0200

sunpy (0.6.1-2) unstable; urgency=low

  * Add upstream/metadata
  * Add CI tests

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jan 2016 14:05:06 +0100

sunpy (0.6.1-1) unstable; urgency=low

  * Initial release. (Closes: #807739)

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Jan 2016 13:21:23 +0100
